<?php

/*
 * @name: dashboard.php
 * @desc: 
 * @created: Februay 7, 2007
 * @author: Daniel Triendl <daniel@tac-ops.net>
 */

/*
 * yabs - yet another blog system
 * Copyright (C) 2007 Daniel Triendl
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

$tpl->add('dashboard.tpl');

$tpl->fillin( 'S_VERSION', $config['version'] );

// delete spam
if( $config['delete_spam'] != -1 ) {
	$sql = "DELETE FORM " . TABLE_COMMENTS . " WHERE comment_date < '" . $config['delete_spam'] * 60 * 60 * 24 . "' and comment_spam = '1';";
	$db->query( $sql ); 
}

// Rebuild to use class.socket.php, ansonsten schein das SimpleXMLElement nen fatal error zu produzieren wenn ein Problem auftritt.
if( $server_version = @object2array( new SimpleXMLElement( 'http://yabs.tac-ops.net/version.xml', NULL, true ) ) ) {
	if( !empty( $server_version['version'] ) ) {
		if( version_compare( $server_version['version'], $config['version'] ) != 1 ) {
			$tpl->fillin( 'S_UPTODATE', $lang['admin_dashboard_uptodate'] );
		} else {
			if( !empty( $server_version['message'] ) ) {
				$tpl->fillin( 'S_UPTODATE', $lang['admin_dashboard_notuptodate'] . '<br />' . $server_version['message'] );
			} else {
				$tpl->fillin( 'S_UPTODATE', $lang['admin_dashboard_notuptodate'] );
			}
		}
	}
} else {
	$tpl->fillin( 'S_UPTODATE', $lang['admin_dashboard_connection_failed'] );
}

// #entris
$sql = "SELECT entry_id FROM ".TABLE_BLOG.";";
$res = $db->query($sql);
$tpl->fillin('S_STATS_ENTRIES', $lang['entries']);
$tpl->fillin('S_STATS_ENTRIES_VALUE', $db->numrows($res));

$tpl->fillin( 'S_STATS', $lang['admin_dashboard_stats'] );

// #comments
$sql = "SELECT * FROM " . TABLE_COMMENTS . " WHERE comment_title = '';";
$res = $db->query( $sql );
$tpl->fillin( 'S_STATS_COM', $lang['comments'] );
$tpl->fillin( 'S_STATS_COM_VALUE', $db->numrows( $res ) );

// #trackbacks
$sql = "SELECT * FROM " . TABLE_COMMENTS . " WHERE comment_title != '';";
$res = $db->query( $sql );
$tpl->fillin( 'S_STATS_TB', $lang['trackbacks'] );
$tpl->fillin( 'S_STATS_TB_VALUE', $db->numrows( $res ) );
	
$query['action'] = 'logout';
$tpl->fillin( 'S_LOGOUT', "<a href=\"" . aurl ( $query ) . "\">" . $lang['logout'] . "</a>" );
		
?>